db-derby-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jwbaker <John.Ba...@Sun.COM>
Subject Re: Use of AUTHORIZATION
Date Thu, 23 Aug 2007 02:24:07 GMT


Looks like I solved it.
Before I kept getting  the "SQL state XCL47: Use of 'AUTHORIZATION' requires
database
to be upgraded from version 10.1 to version 10.2 or later" error

CALL SYSCS_UTIL.SYSCS_SET_DATABASE_PROPERTY(
    'derby.user.vir', 'vir');
CREATE SCHEMA vir authorization vir;

John


jwbaker wrote:
> 
> 
> thanks for the quick reply
> 
> I guess I wasn't clear
> 
> I want to create a user, schema and authorization id using SQL
> so that when the user creates the database (using the JDBC url) this
> user can access the schema.
> 
> If I just create a user and schema, without any privileges then
> the authorizationid is set to DBA and the user created cannot access
> the schema created
> 
> Thanks
> John
> 
> 
> Bryan Pendleton wrote:
>> 
>>> Error code -1, SQL state XCL47: Use of 'AUTHORIZATION' requires database 
>>> to be upgraded from version 10.1 to version 10.2 or later.
>> 
>> The GRANT/REVOKE family of features were introduced in Derby 10.2.
>> 
>> To upgrade your 10.1-version database to 10.2, pass upgrade=true
>> on your connection URL when connecting to the database.
>> 
>> Make a backup of the database first, as a precautionary measure.
>> 
>> Here's some nice info on the upgrade process:
>> http://davidvancouvering.blogspot.com/2007/08/how-to-upgrade-derbyjava-db-database.html
>> 
>> thanks,
>> 
>> bryan
>> 
>> 
>> 
> 
> 

-- 
View this message in context: http://www.nabble.com/Use-of-AUTHORIZATION-tf4314905.html#a12286482
Sent from the Apache Derby Users mailing list archive at Nabble.com.


Mime
View raw message